#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
EXTRA_CONFIGURE_ARGS =
ifeq ($(DEB_HOST_ARCH_OS), linux)
EXTRA_CONFIGURE_ARGS += --enable-linux
endif
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		CXX='$(CXX)' \
		CPPFLAGS='$(CPPFLAGS)' \
		CXXFLAGS='$(CXXFLAGS)' \
		LDFLAGS='$(LDFLAGS)' \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_installinfo:
	rm -f $(CURDIR)/debian/gddrescue/usr/share/info/dir

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_build:
	makeinfo --html doc/ddrescue.texi --output=html
	dh_auto_build
